<?php 
ob_start();
include('../inc/meta.php');
include('../inc/menu.php');
include_once("../db_connect.php");
session_start();
if(isset($_SESSION['user_id'])) {
	header("Location: /");
}
$error = false;
if (isset($_POST['signup'])) {
	$name = mysqli_real_escape_string($conn, $_POST['name']);
	$email = mysqli_real_escape_string($conn, $_POST['email']);
	$password = mysqli_real_escape_string($conn, $_POST['password']);
	$cpassword = mysqli_real_escape_string($conn, $_POST['cpassword']);	
	if(!filter_var($email,FILTER_VALIDATE_EMAIL)) {
		$error = true;
		$email_error = "Vui lòng nhập ID email hợp lệ";
	}
	if(strlen($password) < 6) {
		$error = true;
		$password_error = "Mật khẩu phải có tối thiểu 6 ký tự";
	}
	if($password != $cpassword) {
		$error = true;
		$cpassword_error = "Mật khẩu và Xác nhận mật khẩu không khớp";
	}
	if (!$error) {
		if(mysqli_query($conn, "INSERT INTO users(user, email, pass, duyet, profile_photo) VALUES(N'" . $name . "', N'" . $email . "', N'" . $password . "', N' Member', N' https://media1.tenor.com/images/0ca0143fd12ed7177369ad9641c5ae8a/tenor.gif?itemid=5680250')")) {
			$success_message = "Đăng ký thành công ! <a href='/Login'>Click vào đây để đăng nhập</a>";
		} else {
			$error_message = "Lỗi khi đăng ký ... Vui lòng thử lại sau!";
		}
	}
}
?>
<title>Gia nhập cộng đồng</title>
<div class="container">
	<div class="row">
		<div class="col-md-12">
	    	    <center>
	    <div class="col-md-6" style="float: initial;">
	    <br>
			<form role="form" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" name="signupform">
			

					<div class="form-group">
						<label for="name">Họ và tên</label>
						<input type="text" name="name" placeholder="Họ tên đầy đủ" required value="<?php if($error) echo $name; ?>" class="form-control" />
						<span class="text-danger"><?php if (isset($uname_error)) echo $uname_error; ?></span>
					</div>
					
					<div class="form-group">
						<label for="name">Email</label>
						<input type="text" name="email" placeholder="Địa chỉ i meo" required value="<?php if($error) echo $email; ?>" class="form-control" />
						<span class="text-danger"><?php if (isset($email_error)) echo $email_error; ?></span>
					</div>

					<div class="form-group">
						<label for="name">Password</label>
						<input type="password" name="password" placeholder="Mật khẩu" required class="form-control" />
						<span class="text-danger"><?php if (isset($password_error)) echo $password_error; ?></span>
					</div>

					<div class="form-group">
						<label for="name">Nhập lại Password</label>
						<input type="password" name="cpassword" placeholder="Nhập lại mật khẩu" required class="form-control" />
						<span class="text-danger"><?php if (isset($cpassword_error)) echo $cpassword_error; ?></span>
					</div>

					<div class="form-group">
						<input type="submit" name="signup" value="Đăng ký tài khoản" class="btn btn-primary" />
					</div>
			
			</form>
			<span class="text-success"><?php if (isset($success_message)) { echo $success_message; } ?></span>
			<span class="text-danger"><?php if (isset($error_message)) { echo $error_message; } ?></span>
		</div>
	</div>	</div>
	<div class="row">
		<div class="col-md-4 col-md-offset-4 text-center">	
		Đã có tài khoản ? <a href="Login">Đăng nhập ngay</a>
		</div>
	</div>	

</div>
<?php require("../inc/js.php"); ?>